% Animation Pendel
%
%   Function pendel(t,m) beinhaltet der NL Model der Strecke
%   Die Anfangsbedingung ist in X0(Winkel,W-Geschw.) einzustellen
% 

x0= [3 2]';                     % startpunkt
ts=0:.01:120;                   % Zeitachse

[t,y] = ode45(@pendel,ts,x0);   %Simulation
figure(1)
plot(t,y)                       % T- y Darstellung in Fig. 1
figure(2)
hold off
h = plot(0,0,'.');              % Haedle fuer die Kurve
axis('equal')
axis('square')
axis([-1.5 1.5 -1.5 1.5])

set(h,'XData',[0;sin(x0(1))],'YData',[0;-cos(x0(1))],'EraseMode','xor','Marker','o','LineStyle','-',...
    'MarkerSize',10,'MarkerEdgeColor',[0 0 1],'MarkerFaceColor',[1 0 0]);
i=0;
for k=1:length(t)
    i=i+1;
    drawnow
set(h,'XData',[0;sin(y(i,1))],'YData',[0;-cos(y(i,1))],'EraseMode','xor','Marker','o','LineStyle','-',...
    'MarkerSize',10,'MarkerEdgeColor',[0 0 1],'MarkerFaceColor',[1 0 0]);
end
hold off
return

