%Zwei gekoppelte Schwinger

m1=1;       % Masse Schwinger 1
m2=1.0 ;    % Masse Schwinger 2
k1= 10;     % Federkonstante Rahmen  < - > Masse 1
k2= 10;     % Federkonstante Rahmen  < - > Masse 2
k0= 1;      % Federkonstante Masse 1 < - > Masse 2


a01=k0/m1;
a02=k0/m2;
a1=k1/m1;
a2=k2/m2;

p1=[1 0 a1+a01];    %  Charakteristische Polynom Schwinger 1 autonom
p2=[1 0 a2+a02];    %  Charakteristische Polynom Schwinger 2 autonom

p=conv(p1,p2); p(end)=p(end)-a01*a02
    roots(p)        % Pole des gekoppelten Systems

A=[ 0 1 0 0;
   -a1-a01 0 a01 0;
   0 0 0 1;
   a02 0 -a2-a02 0];
eig(A)              % Pole des gekoppelten Systems
   
b=[0, 0;1 0; 0 0; 0 1];
c=[1 0 0 0; 0 0 1 0];

x0=[1 0  1 0]';
sys1=ss(A,b,c,0);
ltiview(sys1);
[xx,t]=initial(sys1,x0, 0:.01:100);
figure(1)
plot(t(1:1000),xx(1:1000,1),t(1:1000),xx(1:1000,2)+1)
title('Doppelschwinger AB: [1 0 1 0]')
xlabel('Zeit [s]')
pause
plot(xx(:,1),xx(:,2))

x0=[1 0  -1 0]';
[yy,t]=initial(sys1,x0, 0:.01:100);
figure(2)
plot(t(1:1000),yy(1:1000,1),t(1:1000),yy(1:1000,2)+2)
title('Doppelschwinger AB: [1 0 -1 0]')
xlabel('Zeit[ s]')
pause
plot(yy(:,1),yy(:,2))

x0=.5*[1 0  0 0]';
sys1=ss(A,b,c,0);
[zz,t]=initial(sys1,x0, 0:.01:100);
figure(3)
plot(t(1:5000),zz(1:5000,1),t(1:5000),zz(1:5000,2)+1)
title('Doppelschwinger AB: [1 0 0 0]')
xlabel('Zeit[s]')
pause

figure(1)
plot(xx(:,1),xx(:,2))
figure(2) 
plot(yy(:,1),yy(:,2))
figure(3)
plot(zz(:,1),zz(:,2))