%Drei gekoppelte Schwinger

m1=1;       % Masse Schwinger 1
m2=1.0 ;    % Masse Schwinger 2

k1= 10;      % Federkonstante Rahmen  < - > Masse 1
k2= 10;      % Federkonstante Rahmen  < - > Masse 2
k0=  1;      % Federkonstante Masse 1 < - > Masse 2



% p1=[1 0 (k1+k0)/m1  ];    %  Charakteristische Polynom Schwinger 1 autonom
% p2=[1 0 (k2+k0)/m2  ];    %  Charakteristische Polynom Schwinger 2 autonom


A=[ 0     1     0      0;
  -k1-k0  0     k0     0;
   0      0     0      1;
   k0     0    -k2-k0  0];

M=diag([1 m1 1 m2]);

AA=M\A;
   
[v,d]=eig(A*A)              % Pole des gekoppelten Systems
   
b=[0, 0;1 0; 0 0; 0 1 ];
c=[1 0 0 0 ; 0 0 1 0 ];
sys1=ss(A,b,c,0);

delt=.002; T=50;            % Simulationszeiten

x0=[1 0  -1 0 ]; 
[xx,t]=initial(sys1,x0, 0:delt:T);

x0=[1 0  1 0 ]'; 
[zz,t]=initial(sys1,x0, 0:delt:T);


x0=[1 0 0 0]';
[yy,t]=initial(sys1,x0, 0:delt:T);

figure(1)
hold off
clf

subplot(3,1,1);
h1=plot(0,0,'.')
axis([-1 3.5 -1 1])
subplot(3,1,2);
h2=plot(0,0,'.')
axis([-1 3.5 -1 1])
subplot(3,1,3);
h3=plot(0,0,'.')
axis([-1 3.5 -1 1])
title('Zweifachschwinger')

i=0;
for k=1:length(t)
    i=i+1;
    drawnow
 set(h3,'XData',[yy(i,1);yy(i,2)+2.5],'YData',[0;0],'EraseMode','xor','Marker','o','LineStyle','-',...
    'MarkerSize',30,'MarkerEdgeColor',[0 0 1],'MarkerFaceColor',[1 0 0]);
 set(h2,'XData',[zz(i,1);zz(i,2)+2.5],'YData',[0;0],'EraseMode','xor','Marker','o','LineStyle','-',...
    'MarkerSize',30,'MarkerEdgeColor',[0 0 1],'MarkerFaceColor',[0 1 0]);
 set(h1,'XData',[xx(i,1);xx(i,2)+2.5],'YData',[0;0],'EraseMode','xor','Marker','o','LineStyle','-',...
    'MarkerSize',30,'MarkerEdgeColor',[0 0 1],'MarkerFaceColor',[0 0 1]);
end

return


title(strcat('Zweifachschwinger AB: [ ',AB,' ]'))
xlabel('Zeit[ s]')
% plot(yy(:,1),yy(:,2))


x0=[1 0 0 0]';;
AB=num2str(x0');
[zz,t]=initial(sys1,x0, 0:.01:100);
figure(3)
plot(t(1:5000),zz(1:5000,1),t(1:5000),zz(1:5000,2)+2)
title(strcat('Dreifachschwinger AB: [ ',AB,' ]'))
return

figure(1)
plot(xx(:,1),xx(:,2))
figure(2) 
plot(yy(:,1),yy(:,2))
figure(3)
plot(zz(:,1),zz(:,2))



% x0=v(:,1)/v(1,1);
% x0=[1 0  -1 0 ]'; 
% AB=num2str(x0');
% [xx,t]=initial(sys1,x0, 0:.002:50);
% figure(1)
% 
% h = plot(x,y,'.');
% axis([-1 3.5 -1 1])
% title(strcat('Zweifachschwinger AB: [ ',AB,' ]'))
% i=0;
% for k=1:length(t)
%     i=i+1;
%     drawnow
%     % set(h,'XData',0:M,'YData',y(i-M:i),'EraseMode','xor','Marker','x','LineStyle','-',...
%     set(h,'XData',[xx(i,1);xx(i,2)+2.5],'YData',[0;0],'EraseMode','xor','Marker','o','LineStyle','-',...
%     'MarkerSize',40,'MarkerEdgeColor',[0 0 1],'MarkerFaceColor',[1 .7 .7]);
% end
% 
% return
