%Vier gekoppelte Schwinger

m1=1;       % Masse Schwinger Anfang
m2=1.0 ;    % Masse Schwinger Ende
m0=1.0 ;    % Masse Schwinger Zwischenglieder
k1= 2;      % Federkonstante Rahmen  < - > Masse Anfang
k2= 2;      % Federkonstante Rahmen  < - > Masse Ende
k0= 1;      % Federkonstante Masse 1 < - > Masse 2



p1=[1 0 (k1+k0)/m1  ];    %  Charakteristische Polynom Schwinger 1 autonom
p2=[1 0 2*k0/m0     ];    %  Charakteristische Polynom Schwinger 2 autonom
p0=[1 0 (k2+k0)/m2  ];    %  Charakteristische Polynom Schwinger 3 autonom


A=[ 0    1    0  0  0     0;
  -k1-k0 0    k0 0  0     0;
   0     0    0  1  0     0;
   k0    0 -2*k0 0  k0    0;
   0     0    0  0  0     1;
   0     0    k0 0 -k2-k0 0];

A=[ 0    1    0   0    0   0   0    0;
  -k1-k0 0    k0  0    0   0   0    0;
   0     0    0   1    0   0   0    0;
   k0    0 -2*k0  0    k0  0   0    0;
   0     0    0   0    0   1   0    0;
   0     0   k0   0 -2*k0  0   k0   0;
   0     0    0   0    0   0   0    1;
   0     0    0   0    k0  0 -k2-k0 0];

M=diag([1 m1 1 m0 1 m0 1 m2]);

AA=M\A;
   
[v,d]=eig(A*A)              % Pole des gekoppelten Systems
   
b=[0, 0;1 0; 0 0; 0 1; 0 0;0 0;0 0;0 0];
c=[1 0 0 0 0 0 0 0; 0 0 1 0 0 0 0 0;0 0 0 0 1 0 0 0; 0 0 0 0 0 0 1 0];
sys1=ss(AA,b,c,0);

x0=v(:,1)/v(1,1),AB=num2str(x0');
%x0=[1 0  1 0 1 0]'; 
sys1=ss(A,b,c,0);
[xx,t]=initial(sys1,x0/2, 0:.01:100);
figure(1)
plot(t(1:1000),xx(1:1000,1),t(1:1000),xx(1:1000,2)+1,t(1:1000),xx(1:1000,3)+2,t(1:1000),xx(1:1000,4)+3)
title(strcat('Dreifachschwinger AB: [ ',AB,' ]'))
xlabel('Zeit [s]')
%pause
%plot(xx(:,1),xx(:,2))
% 

x0=v(:,4)/v(1,4);AB=num2str(x0');
[yy,t]=initial(sys1,x0/2, 0:.01:100);
figure(2)
plot(t(1:1000),yy(1:1000,1),t(1:1000),yy(1:1000,2)+1,t(1:1000),yy(1:1000,3)+2,t(1:1000),yy(1:1000,4)+3)
title(strcat('Dreifachschwinger AB: [ ',AB,' ]'))
xlabel('Zeit[ s]')
% plot(yy(:,1),yy(:,2))


x0=v(:,5)/v(1,5);AB=num2str(x0');
sys1=ss(A,b,c,0);
[zz,t]=initial(sys1,x0, 0:.01:100);
figure(3)
plot(t(1:1000),zz(1:1000,1),t(1:1000),zz(1:1000,2)+1,t(1:1000),zz(1:1000,3)+2,t(1:1000),zz(1:1000,4)+3)
title(strcat('Dreifachschwinger AB: [ ',AB,' ]'))

x0=v(:,7)/v(1,7);AB=num2str(x0');
sys1=ss(A,b,c,0);
[ww,t]=initial(sys1,x0, 0:.01:100);
figure(4)
plot(t(1:1000),ww(1:1000,1),t(1:1000),ww(1:1000,2)+1,t(1:1000),ww(1:1000,3)+2,t(1:1000),ww(1:1000,4)+3)
title(strcat('Dreifachschwinger AB: [ ',AB,' ]'))
return

figure(1)
plot(xx(:,1),xx(:,2))
figure(2) 
plot(yy(:,1),yy(:,2))
figure(3)
plot(zz(:,1),zz(:,2))