% Lorenz-Attraktor
% von Stephan Senn, D-ITET

clf     % Clear Figure
ts=0:.02:30;         % Zeitbasis ts in [s]

x0=[2; 5; 20];
[T,X] = ode45(@lorenzdgl,ts,x0);
plot3(X(:,1),X(:,2), X(:,3),'b');
hold on;

x0=[2.99; 4.99; 19.99];
[T,X] = ode45(@lorenzdgl,ts,x0);
plot3(X(:,1),X(:,2), X(:,3),'g');
hold on;

x0=[2.01; 5.01; 20.01];
[T,X] = ode45(@lorenzdgl,ts,x0);
plot3(X(:,1),X(:,2), X(:,3),'r');
     
title('Lorenz-Attraktor - Phasenraum');
xlabel('X(t)');
ylabel('Y(t)');
zlabel('Z(t)');
%legend('x0=[2; 5; 20]','x0=[2.99; 4.99; 19.99]','x0=[2.01; 5.01; 20.01]');
grid on;