% Simulation eines Pendels
% von Stephan Senn, D-ITET

clf     % Clear Figure
ts=0:.01:5;         % Zeitbasis ts in [s]

for i=-3:.2:3
     x0=[0; i]; % verschiedene Startpunkte
     [T,X] = ode45(@pendel,ts,x0);
     plot(X(:,1),X(:,2),'b');
     hold on;
end
title('Pendel - Phasenebene');
xlabel('Winkel phi in [rad]');
ylabel('Winkelgeschwindigkeit omega in [rad/s]');

% Trajektorientool
but = 1;
while but == 1
    [x0,y0,but] = ginput(1); 
    plot(x0,y0,'ro');
    [t,xx]=ode45(@pendel,ts,[x0 y0]);
    plot(xx(:,1),xx(:,2),'r');
end
hold off;

figure;
for i=-pi:.2:pi
     x0=[i; 0]; % verschiedene Startpunkte
     [T,X] = ode45(@pendel,ts,x0);
     plot(X(:,1),X(:,2),'b');
     hold on;
end
title('Pendel - Phasenebene');
xlabel('Winkel phi in rad');
ylabel('Winkelgeschwindigkeit omega in rad/s');
grid on;

   


