% Simulation der Radaufhngung
% Dynamische Systeme kennenlernen (PPS): Laborbung 2
% von Felix Jost und Stephan Senn

% Konstanten
m1 = 2500;
m2 = 320;
k1 = 200000;
k2 = 2000000;
b1 = 350;
b2 = 15020;

% Matrix A
A=[0                 1   0                                              0
  -(b1*b2)/(m1*m2)   0   ((b1/m1)*((b1/m1)+(b1/m2)+(b2/m2)))-(k1/m1)   -(b1/m1)   
   b2/m2             0  -((b1/m1)+(b1/m2)+(b2/m2))                      1
   k2/m2             0  -((k1/m1)+(k1/m2)+(k2/m2))                      0]; 

% Matrix B: Die Matrix B2 ist eine Teilmatrix von B1 fr den Fall u=0
B1=[0                 0
   1/m1              (b1*b2)/(m1*m2)
   0                -(b2/m2)
   (1/m1)+(1/m2)    -(k2/m2)];

B2=[0 (b1*b2)/(m1*m2)  -(b2/m2)  -(k2/m2)]';
C=[1   0   -1   0];
D=[0];

% Simulationsobjekt
sys = ss(A,B2,C,D);

% Verschiedene Simulationsfunktionen:
% Schrittfunktion:
step(sys);

% Sinusfrmige Anregung:
%f=5.25;
%t=0:0.1:10;
%w=sin(f*t);
%lsim(sys,w,t);
 
% Allgemeines Systemverhalten anschauen:
%ltiview(sys);

% Initialanregung aus einem Grundzustand x0:
%x0=[1,0,0,0];
%initial(sys,x0');

% Impulsantwort:
%impulse(sys);